# -*- coding: utf-8 -*-

#Test scrapy
import scrapy
from scrapy.crawler import CrawlerProcess

class CorriereSpider(scrapy.Spider):
    name = "corriere"
    allowed_domains = ["www.corriere.it"]
    start_urls = [
        "http://www.corriere.it/politica/" ]

    def parse(self, response):
        global body
	response_code = response.status
        body = response.body
        assert response_code == 200
        assert len(body) > 100

process = CrawlerProcess()
process.crawl(CorriereSpider)
process.start()



#Test lxml
from lxml import etree
parser = etree.HTMLParser()
root   = etree.fromstring(body, parser)
assert root.tag == "html"
assert len(root.xpath('//span')) >=1

import lucene
import sys
from lucene import *





lucene.initVM()
DIR_NAME = "gatti_index"
index_dir = SimpleFSDirectory(File(DIR_NAME))
analyzer = ItalianAnalyzer(Version.LUCENE_35)
writer = IndexWriter(index_dir, analyzer, True, IndexWriter.MaxFieldLength.UNLIMITED)

doc = Document()
text_field = Field("text", "il ratto matto fa patta col gatto", Field.Store.YES, Field.Index.ANALYZED)
doc.add(text_field)
writer.addDocument(doc)

doc = Document()
text_field = Field("text", "i gatti saltan tra i tetti", Field.Store.YES, Field.Index.ANALYZED)
doc.add(text_field)
writer.addDocument(doc)

doc = Document()
text_field = Field("text", "sette gatte sull'attico", Field.Store.YES, Field.Index.ANALYZED)
doc.add(text_field)
writer.addDocument(doc)

doc = Document()
text_field = Field("text", "renzi ha fatto anche cose buone", Field.Store.YES, Field.Index.ANALYZED)
doc.add(text_field)
writer.addDocument(doc)

assert writer.numDocs() == 4
writer.optimize()
writer.close()

searcher = IndexSearcher(index_dir)

text_terms = "gatto"
query = QueryParser(Version.LUCENE_35, "text", analyzer).parse(text_terms)

MAX = 1000
hits = searcher.search(query, MAX)

assert hits.totalHits == 3

for hit in hits.scoreDocs:
    doc = searcher.doc(hit.doc)
    print u"score:{0} doc_id:{1} text:{2}".format(hit.score, hit.doc,  doc.get("text"))


print "If you can see this message, all libraries are installed correctly. Enjoy."
